Bug 1002431 - install ovirt-node on IBM xserver 3650 M3 failed
install ovirt-node on IBM xserver 3650 M3 failed
Status: CLOSED INSUFFICIENT_DATA
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.3
x86_64 Linux
high Severity high
: ---
: 3.4.3
Assigned To: Joey Boggs
bugs@ovirt.org
node
:
: 967750 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 03:58 EDT by mpaupe
Modified: 2016-06-06 07:29 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-26 11:47:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ovirt.log from /tmp (33.91 KB, text/plain)
2013-08-29 03:58 EDT, mpaupe
no flags Details
ovirt.log from /var/log (1.04 KB, text/plain)
2013-08-29 03:59 EDT, mpaupe
no flags Details
ovirt-node.log (3.14 KB, text/plain)
2013-08-29 04:00 EDT, mpaupe
no flags Details
successful (7.92 KB, image/png)
2013-08-30 04:29 EDT, cshao
no flags Details
dracut error (13.89 KB, image/png)
2013-11-29 01:19 EST, cshao
no flags Details

  None (edit)
Description mpaupe 2013-08-29 03:58:32 EDT
Created attachment 791632 [details]
ovirt.log from /tmp

Description of problem:
I'm trying to install ovirt-node ovirt-node-iso-3.1.0-0.999.5.vdsm.fc19.iso onto
an IBM xserver 3650 M3 without any success. I got an error " Exception: RuntimeError('Failed to set install bootloader' ,) " when installer try to set the bootloader.

Version-Release number of selected component (if applicable):
ovirt-node ovirt-node-iso-3.1.0-0.999.5.vdsm.fc19.iso

How reproducible:
boot from CD, reply to all questions and wait for Exception.

Actual results:
Exception: RuntimeError('Failed to set install bootloader' ,)

Expected results:
a success ovirt installation 

Additional info:
log files
Comment 1 mpaupe 2013-08-29 03:59:16 EDT
Created attachment 791633 [details]
ovirt.log from /var/log
Comment 2 mpaupe 2013-08-29 04:00:10 EDT
Created attachment 791634 [details]
ovirt-node.log
Comment 3 mpaupe 2013-08-29 05:23:19 EDT
I've tried this build http://jenkins.ovirt.org/job/node-devel/distro=fedora19/373/ and the problem remain present.
Comment 4 cshao 2013-08-30 03:23:50 EDT
Test version:
ovirt-node-iso-3.1.0-0.999.5.vdsm.fc19.iso

Test machine:
ibm-x3650m3-01 
Dell 990

I'm trying to install above build onto IBM x3650 M3 server still fail. 
I am also do the same testing on Dell 990 and fail again.
The error info as following:

dracut-initqueue[258]: Warning: Could not boot.
dracut-initqueue[258]: Warning: /dev/disk/by-label/ovirt-node-image does not exist
dracut-initqueue[258]: Warning: /dev/mapper/live-rw does not exist

Seem the error info same as Bug 967750 - Install issue via CD-ROM.
Thanks!
Comment 5 mpaupe 2013-08-30 03:37:06 EDT
Here is the command that I used when launching the install process to avoid the Bug 967750.

kernel /isolinux/vmlinuz0
append initrd=/isolinux/initrd0.img root=live:/dev/sr0 rootfstype=auto ro liveimg rd.live.check rootflags=ro crashkernel=128M elevator=deadline install rhgb quiet rd.lvm=0 rd.luks=0 rd.md=0 rd.dm=0

Thanks!
Comment 6 cshao 2013-08-30 04:10:11 EDT
(In reply to mpaupe from comment #5)
> Here is the command that I used when launching the install process to avoid
> the Bug 967750.
> 
> kernel /isolinux/vmlinuz0
> append initrd=/isolinux/initrd0.img root=live:/dev/sr0 rootfstype=auto ro
> liveimg rd.live.check rootflags=ro crashkernel=128M elevator=deadline
> install rhgb quiet rd.lvm=0 rd.luks=0 rd.md=0 rd.dm=0
> 
> Thanks!

Yes, this time I append root=live:/dev/sr0 to kernel command can install successful.
Thank you for your advice.
Comment 7 mpaupe 2013-08-30 04:15:56 EDT
(In reply to shaochen from comment #6)
> (In reply to mpaupe from comment #5)
> > Here is the command that I used when launching the install process to avoid
> > the Bug 967750.
> > 
> > kernel /isolinux/vmlinuz0
> > append initrd=/isolinux/initrd0.img root=live:/dev/sr0 rootfstype=auto ro
> > liveimg rd.live.check rootflags=ro crashkernel=128M elevator=deadline
> > install rhgb quiet rd.lvm=0 rd.luks=0 rd.md=0 rd.dm=0
> > 
> > Thanks!
> 
> Yes, this time I append root=live:/dev/sr0 to kernel command can install
> successful.
> Thank you for your advice.

Witch ovit-node version did you use ? Some hardway specific setting are requiered?
Comment 8 cshao 2013-08-30 04:29:07 EDT
> Witch ovit-node version did you use ? Some hardway specific setting are
> requiered?

Test version:
ovirt-node-iso-3.1.0-0.999.5.vdsm.fc19.iso

Test machine:
ibm-x3650m3-01 (intel cpu + 48G Mem)

Install above build on ibm-x3650m3-01 via TUI can successful. I upload the successful screen for you reference.
Comment 9 cshao 2013-08-30 04:29:46 EDT
Created attachment 792084 [details]
successful
Comment 10 mpaupe 2013-08-30 05:54:04 EDT
Thanks for the result you were lucky ;-)

Would it be possible to get more details about you efi config ?

Am going to build an iso with the debug option later next week.

Thanks
Comment 11 cshao 2013-08-30 06:37:49 EDT
(In reply to mpaupe from comment #10)
> Thanks for the result you were lucky ;-)
> 
> Would it be possible to get more details about you efi config ?
> 
> Am going to build an iso with the debug option later next week.
> 
> Thanks

OK, but I test this build with legacy mode but no efi mode.

steps:
1. attach virtual media.
2. set CDROM as the first boot.
3. Choose legacy option (it will boot from virtual media).

I can provide the remote access for you connect if you need.
Comment 12 Fabian Deutsch 2013-11-28 08:43:09 EST
Hey Checn,

can you please check if this problem still exists with 3.0.3?
Comment 13 Fabian Deutsch 2013-11-28 08:53:38 EST
*** Bug 967750 has been marked as a duplicate of this bug. ***
Comment 14 cshao 2013-11-29 01:18:56 EST
(In reply to Fabian Deutsch from comment #12)
> Hey Checn,
> 
> can you please check if this problem still exists with 3.0.3?

Test version:
ovirt-node-iso-3.0.3-1.1.fc19.iso

Test machine:
ibm-x3650m3-01 
Dell 990

Install above build onto IBM x3650 M3 server still fail, please see attachment for more details.
But it can successful with Dell 990.
Comment 15 cshao 2013-11-29 01:19:39 EST
Created attachment 830481 [details]
dracut error
Comment 16 Sandro Bonazzola 2014-03-04 04:18:45 EST
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.
Comment 17 Fabian Deutsch 2014-04-30 07:46:39 EDT
Hey Chen,

does this bug still happen with 3.0.4?
Comment 18 cshao 2014-05-04 06:23:48 EDT
(In reply to Fabian Deutsch from comment #17)
> Hey Chen,
> 
> does this bug still happen with 3.0.4?

Test version:
ovirt-node-iso-3.4-20140423.1.el6.iso
(download link: http://resources.ovirt.org/pub/ovirt-3.4/iso/)
ovirt-node-hypervisor 3.0.4(1.0.201401291204.el6)
ovirt-node-3.0.4-1.0.el6.noarch

Test machine:
ibm-x3650m3-01 

Test result:
1. Install above build on ibm-x3650m3-01 via TUI can successful.
2. Reboot pass.
3. Login pass.
Comment 19 Sandro Bonazzola 2014-05-08 09:50:38 EDT
This is an automated message.

oVirt 3.4.1 has been released.
This issue has been retargeted to 3.4.2 as it has priority high, please retarget if needed.
If this is a blocker please add it to the tracker Bug #1095370
Comment 20 Joey Boggs 2014-05-29 12:14:06 EDT
mpaupe,

Can you try a recent build and see if the problem persists?
Comment 21 Sandro Bonazzola 2014-06-11 03:04:40 EDT
This is an automated message:
oVirt 3.4.2 has been released.
This bug has been re-targeted from 3.4.2 to 3.4.3 since priority or severity were high or urgent.
Comment 22 Sandro Bonazzola 2014-06-11 03:05:18 EDT
This is an automated message:
oVirt 3.4.2 has been released.
This bug has been re-targeted from 3.4.2 to 3.4.3 since priority or severity were high or urgent.
Comment 23 Joey Boggs 2014-06-26 11:47:02 EDT
closing, if this still occurs on current version please reopen

Note You need to log in before you can comment on or make changes to this bug.